Get list items

Base URL
https://{kibana_url}
  • GET /api/lists/items/_find
  • GET /s/{space_id}/api/lists/items/_find
Auth

Get all list items in the specified list.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

list_id string · format: nonempty · min length: 1 required

List's id

page integer

The page number to return

per_page integer

The number of list items to return per page

sort_field string · format: nonempty · min length: 1

Determines which field is used to sort the results

sort_order enum

Determines the sort order, which can be desc or asc

Values: desc asc
cursor string · format: nonempty · min length: 1

Returns the list that come after the last list returned in the previous call (use the cursor value returned in the previous call). This parameter uses the tie_breaker_id field to ensure all lists are sorted and returned correctly.

filter string

Filters the returned results according to the value of the specified field, using the

Responses

Successful response

application/json
cursor string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

data object[] required
_version string
@timestamp string · format: date-time
created_at string · format: date-time required
created_by string required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

list_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
tie_breaker_id string required
type enum required
Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
updated_at string · format: date-time required
updated_by string required
value string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

page integer · min: 0 required
per_page integer · min: 0 required
total integer · min: 0 required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}